Subject: Re: [PATCH 2/9] commit-graph: stop using signed integers to count bloom filters

From: Taylor Blau <[email-masked]>
Date: Mon, 4 Aug 2025 17:42:43 -0400

On Mon, Aug 04, 2025 at 10:17:18AM +0200, Patrick Steinhardt wrote:
> When writing a new commit graph we have a couple of counters that
> provide statistics around what kind of bloom filters we have or have not

s/bloom/Bloom

> written. These counters naturally count from zero and are only ever
> incremented, but they use a signed integer as type regardless.
>
> Refactor those fields to be of type `size_t` instead.

I have some thoughts about this, but I see that others do as well, so
I'll refrain from sharing them here and instead join the discussion in
the sub-thread.

Thanks,
Taylor